
// CallDLL.cpp : Defines the class behaviors for the application.
//---------------------------------------------------------------
#include "stdafx.h"
#include "CallDLL.h"
#include "CallDLLDlg.h"
#include "MDBEngine.h"
#include "SetID.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CCallDLLApp
//------------
BEGIN_MESSAGE_MAP(CCallDLLApp, CWinApp)
	//{{AFX_MSG_MAP(CCallDLLApp)
	//}}AFX_MSG_MAP
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

// CCallDLLApp construction
//-------------------------

CCallDLLApp::CCallDLLApp()
//========================
{
	m_dwInstance=0;
}

// The one and only CCallDLLApp object
//------------------------------------
CCallDLLApp theApp;

// CCallDLLApp initialization
//---------------------------

BOOL CCallDLLApp::InitInstance()
//==============================
{
	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need.
	//----------------------------------------------------------------
#ifdef _AFXDLL
	Enable3dControls(); // Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic(); // Call this when linking to MFC statically
#endif

	// Change the registry key under which our settings are stored.
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization.
	//----------------------------------------------------------------
	SetRegistryKey(_T("BonusData"));

	// Parse command line
	//-------------------
	if (m_lpCmdLine[0]!='\0')
	{
		m_dwInstance=atoi(m_lpCmdLine);
		if (m_dwInstance>10)
			m_dwInstance=10;
	}

	// Download target firmware
	//-------------------------
	CString sSection;
	sSection.Format(_T("Current%02u"),m_dwInstance);
	DWORD dwDevice=GetProfileInt(sSection,_T("Device"),0)+256;
	if (!DownloadTarget(0,25))
	{
		AfxMessageBox(_T("Failed to initialize MDB interface!\r\n")
			_T("Probably the interface is not connected."),
			MB_OK|MB_ICONSTOP);
		CSetID SetID;
		SetID.DoModal();
		return false;
	}

	// Initialize application dialog
	//------------------------------
	CCallDLLDlg CallDLLDlg;
	m_pMainWnd=&CallDLLDlg;
	CallDLLDlg.DoModal();

	// Since the dialog has been closed, return FALSE so that we exit the
	// application, rather than start the application's message pump.
	//-------------------------------------------------------------------
	return FALSE;
}
